body {
    overflow-x: hidden;
    font-family: 'Montserrat', sans-serif;
    font-weight: 400;
    /* Peso de la fuente regular */
}

.blackpast-regular {
    font-family: 'Blackpast', sans-serif !important;
    font-weight: 400;
    src: url('../fonts/blackpast.otf') format('opentype');
}

.blackpast-p {
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    font-weight: 400;
}


/* SCROLL BAR */
/* width */
::-webkit-scrollbar {
    width: 5px;
}

/* Track */
::-webkit-scrollbar-track {
    box-shadow: inset 0 0 10px rgb(32, 32, 32);
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: rgb(255, 255, 255);
    border-radius: 10px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: rgb(255, 255, 255);
}

/* NAV BAR */

.navbar {
    transition: background-color 0.3s ease-in-out;
    /* Transición suave de color de fondo */
}

.navbar.scrolled {
    background-color: rgba(36, 36, 36, 0.8) !important;
    /* Color de fondo oscuro al hacer scroll */
}

.navbar .nav-link {
    font-weight: 700 !important;
    color: #fff;
    letter-spacing: 0.2rem;
    padding: 15px;
}

.navbar .nav-link:hover {
    font-weight: 900 !important;
    color: #fff;
    border-bottom: 1px solid;
    transition: 1s;

}

/* VIDE LOOP */

.video-container {
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 100vh;
}

video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
}

.content-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: #fff;
}

/* CURSOR */
.cursor {
    width: 50px;
    height: 50px;
    border-radius: 100%;
    border: 1px solid #ccc;
    transition: all 200ms ease-out;
    position: fixed;
    pointer-events: none;
    left: 0;
    top: 0;
    transform: translate(calc(-50% + 15px), -50%);
}

.cursor2 {
    width: 20px;
    height: 20px;
    border-radius: 100%;
    background-color: #ccc;
    opacity: .3;
    position: fixed;
    transform: translate(-50%, -50%);
    pointer-events: none;
    transition: width .3s, height .3s, opacity .3s;
}

/* WHATS */
.float {
    position: fixed;
    width: 60px;
    height: 60px;
    bottom: 40px;
    right: 40px;
    background-color: #000000;
    color: #FFF;
    border-radius: 50px;
    text-align: center;
    font-size: 30px;
    z-index: 100;
    border: solid white 1px;
    transition: background-color 0.8s ease;

}


.float:hover {
    position: fixed;
    width: 60px;
    height: 60px;
    bottom: 40px;
    right: 40px;
    border: solid black 1px;
    background-color: #ffffff;
    color: #000000;
    border-radius: 50px;
    text-align: center;
    font-size: 30px;
    z-index: 100;
}

.my-float {
    margin-top: 14px;
}


/* TESTIMONIOS */
.gtco-testimonials {
    position: relative;
    margin-top: 30px;
}

.gtco-testimonials h2 {
    font-size: 30px;
    text-align: center;
    color: #ffffff;
    margin-bottom: 50px;
}

.gtco-testimonials .owl-stage-outer {
    padding: 30px 0;
}

.gtco-testimonials .owl-nav {
    display: none;
}

.gtco-testimonials .owl-dots {
    text-align: center;
}

.gtco-testimonials .owl-dots span {
    position: relative;
    height: 10px;
    width: 10px;
    border-radius: 50%;
    display: block;
    background: #fff;
    border: 2px solid #fadf70;
    margin: 0 5px;
}

.gtco-testimonials .owl-dots .active {
    box-shadow: none;
}

.gtco-testimonials .owl-dots .active span {
    background: #fadf70;
    box-shadow: none;
    height: 12px;
    width: 12px;
    margin-bottom: -1px;
}

.gtco-testimonials .card {
    background: #fff;
    box-shadow: 0 8px 30px -7px #2f2e2e;
    margin: 0 20px;
    padding: 0 10px;
    border-radius: 20px;
    border: 0;
}

.gtco-testimonials .card .card-img-top {
    max-width: 100px;
    border-radius: 50%;
    margin: 15px auto 0;
    box-shadow: 0 8px 20px -4px #95abbb;
    width: 100px;
    height: 100px;
}

.gtco-testimonials .card h5 {
    color: #796517;
    font-size: 21px;
    line-height: 1.3;
}

.gtco-testimonials .card h5 span {
    font-size: 18px;
    color: #666;
}

.gtco-testimonials .card p {
    font-size: 18px;
    color: #555;
    padding-bottom: 15px;
}

.gtco-testimonials .active {
    opacity: 0.5;
    transition: all 0.3s;
}

.gtco-testimonials .center {
    opacity: 1;
}

.gtco-testimonials .center h5 {
    font-size: 24px;
}

.gtco-testimonials .center h5 span {
    font-size: 20px;
}

.gtco-testimonials .center .card-img-top {
    max-width: 100%;
    height: 120px;
    width: 120px;
}

@media (max-width: 767px) {
    .gtco-testimonials {
        margin-top: 20px;
    }
}

.owl-carousel .owl-nav button.owl-next,
.owl-carousel .owl-nav button.owl-prev {
    outline: 0;
}

.owl-carousel button.owl-dot {
    outline: 0;
}

/* FIN TESTIMONIALES */


/* BACKGROUNDS */
.bg-site-white {
    background: white !important;
}

.bg-gradient-black {
    background: linear-gradient(70deg, #3c3c3c, #000000, #0d0d0d, #3b3100);
    background-size: 400% 400%;
    background-attachment: fixed;
    animation: gradient 15s ease infinite;
}

@keyframes gradient {
    0% {
        background-position: 0% 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0% 50%;
    }
}

/* LOADER */
.loader-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(27, 27, 27, 0.8);
    /* Fondo semitransparente */
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    /* Asegura que el loader esté encima de otros elementos */
}

.loader {
    border: 8px solid #ffffff;
    border-top: 8px solid #ef991f;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite;
    /* Animación de rotación */
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/* CARRUSEL */

.owl-nav {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    right: 0;
    margin: auto;
}

.owl-nav .owl-prev {
    position: absolute;
    left: -40px;
    top: 0;
    transform: translateY(-50%);
}

.owl-nav .owl-next {
    position: absolute;
    right: -40px;
    top: 0;
    transform: translateY(-50%);
}

.owl-prev {
    float: left;
    font-size: 48px;
    line-height: 48px;
}

.owl-next {
    float: right;
    font-size: 48px;
    line-height: 48px;
}

.owl-prev:hover,
.owl-next:hover {
    color: #d4650aaf;
}

.bounce-image {
    animation: bounce 4s infinite;
}

@keyframes bounce {

    0%,
    20%,
    50%,
    80%,
    100% {
        transform: translateY(0);
    }

    40% {
        transform: translateY(-40px);
    }

    60% {
        transform: translateY(-25px);
    }
}

.movil-element {
    display: none;
}

/* Media query para móvil */
@media (max-width: 768px) {
    .movil-element {
        display: block;
    }
}


.pc-element {
    display: block;
}

/* Media query para móvil */
@media (max-width: 768px) {
    .pc-element {
        display: none;
    }
}

.mr-20 {
    margin-right: 30px;
}

#openModalBtn {
    background-color: #ffffff;
    color: rgb(0, 0, 0);
    border: none;
    cursor: pointer;
}

/* Estilos del modal */
.modal {
    display: none;
    /* Ocultar el modal por defecto */
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(255, 255, 255, 0.5);
}

.modal-content {
    background-color: white;
    margin: 7% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 600px;
    border-radius: 5px;
    position: relative;
}

@media (max-width: 768px) {
    .modal-content {
        background-color: white;
        margin: 15% auto;
        padding: 20px;
        border: 1px solid #888;
        width: 80%;
        max-width: 600px;
        border-radius: 5px;
        position: relative;
    }
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.btn-modal {
    background-color: white;
    border: solid black 1px;
    width: 80%;
}

/* Estilos para el modal */

.close-welcome {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close-welcome:hover,
.close-welcome:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.img-w {
    width: 45% !important;
}